net.minecraft.entity

## Class EntityTrackerEntry

- java.lang.Object
- - net.minecraft.entity.EntityTrackerEntry

-     public class EntityTrackerEntry
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `blocksDistanceThreshold`
    `int` | `lastHeadMotion`
    `int` | `lastPitch`
    `int` | `lastScaledXPosition`
    `int` | `lastScaledYPosition`
    `int` | `lastScaledZPosition`
    `int` | `lastYaw`
    `double` | `motionX`
    `double` | `motionY`
    `double` | `motionZ`
    `Entity` | `myEntity`
    `boolean` | `playerEntitiesUpdated`
    `int` | `ticks`
    `Set` | `trackingPlayers` Holds references to all the players that are currently receiving position updates for this entity.
    `int` | `updateFrequency` check for sync when ticks % updateFrequency==0

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityTrackerEntry(Entity par1Entity, int par2, int par3, boolean par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object par1Obj)`
    `int` | `hashCode()`
    `void` | `informAllAssociatedPlayersOfItemDestruction()`
    `void` | `removeFromWatchingList(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `removePlayerFromTracker(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `sendEventsToPlayers(List par1List)`
    `void` | `sendLocationToAllClients(List par1List)` also sends velocity, rotation, and riding info.
    `void` | `sendPacketToAllAssociatedPlayers(Packet par1Packet)` if this is a player, then it recieves the message also
    `void` | `sendPacketToAllTrackingPlayers(Packet par1Packet)` if this is a player, then it is not informed
    `void` | `tryStartWachingThis(EntityPlayerMP par1EntityPlayerMP)` if the player is more than the distance threshold (typically 64) then the player is removed instead

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### myEntity

          public Entity myEntity

    - #### blocksDistanceThreshold

          public int blocksDistanceThreshold

    - #### updateFrequency

          public int updateFrequency

      check for sync when ticks % updateFrequency==0

    - #### lastScaledXPosition

          public int lastScaledXPosition

    - #### lastScaledYPosition

          public int lastScaledYPosition

    - #### lastScaledZPosition

          public int lastScaledZPosition

    - #### lastYaw

          public int lastYaw

    - #### lastPitch

          public int lastPitch

    - #### lastHeadMotion

          public int lastHeadMotion

    - #### motionX

          public double motionX

    - #### motionY

          public double motionY

    - #### motionZ

          public double motionZ

    - #### ticks

          public int ticks

    - #### playerEntitiesUpdated

          public boolean playerEntitiesUpdated

    - #### trackingPlayers

          public Set trackingPlayers

      Holds references to all the players that are currently receiving position updates for this entity.

  - ### Constructor Detail

    - #### EntityTrackerEntry

          public EntityTrackerEntry(Entity par1Entity,
                            int par2,
                            int par3,
                            boolean par4)

  - ### Method Detail

    - #### equals

          public boolean equals(Object par1Obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### sendLocationToAllClients

          public void sendLocationToAllClients(List par1List)

      also sends velocity, rotation, and riding info.

    - #### sendPacketToAllTrackingPlayers

          public void sendPacketToAllTrackingPlayers(Packet par1Packet)

      if this is a player, then it is not informed

    - #### sendPacketToAllAssociatedPlayers

          public void sendPacketToAllAssociatedPlayers(Packet par1Packet)

      if this is a player, then it recieves the message also

    - #### informAllAssociatedPlayersOfItemDestruction

          public void informAllAssociatedPlayersOfItemDestruction()

    - #### removeFromWatchingList

          public void removeFromWatchingList(EntityPlayerMP par1EntityPlayerMP)

    - #### tryStartWachingThis

          public void tryStartWachingThis(EntityPlayerMP par1EntityPlayerMP)

      if the player is more than the distance threshold (typically 64) then the player is removed instead

    - #### sendEventsToPlayers

          public void sendEventsToPlayers(List par1List)

    - #### removePlayerFromTracker

          public void removePlayerFromTracker(EntityPlayerMP par1EntityPlayerMP)